let 编译调试模式; //1代表是调试版,否则不是
let 是否可关闭窗口 = true; //如果为假,则不能关闭窗口!
function 窗口创建完毕(创建回调) {
    //当窗口创建完毕时触发本事件
    try {
        let 回调信息 = JSON.parse(创建回调);
        编译调试模式 = 回调信息["调试编译"];
        electronAPI.setResizable(false);
        electronAPI.setAlwaysOnTop(true);
        //   electronDebugAPI.openDebug()
    } catch (error) {}
}
function 窗口是否可关闭(窗口信息) {
    //在本方法中处理窗口是否可以被关闭
    return 是否可关闭窗口;
}
function 是否显示主窗口() {
    //是否需要显示主窗口，有的项目需要启动程序主窗口直接隐藏；则可以设置本处
    //本事件只对主窗口有效，其他创建的窗口不会触发
    return true;
}
function 页面加载完毕() {
    //页面加载完毕触发
}
function DOM加载完毕() {
    //DOM加载完毕触发，此时可以操作DOM
}
function 窗口被卡死() {
    //执行本方法代表窗口界面被卡死了
}
function 窗口卡死被恢复() {
    //执行本方法代表窗口界面的卡死恢复正常状态了
}
function 窗口失去焦点() {
    //在窗口失去焦点的时候触发.
}
function 窗口获得焦点() {
    //在窗口失去焦点的时候触发.
}
function 窗口最大化() {
    //在窗口最大化的时候触发.
}
function 窗口退出最大化() {
    //在窗口退出最大化的时候触发.
}
function 窗口最小化() {
    //在窗口最小化的时候触发.
}
function 窗口最小化恢复() {
    //在窗口从最小化恢复的时候触发.
}
function 窗口尺寸被改变(尺寸大小) {
    //在窗口尺寸改变的时候触发.
}
function 窗口位置被改变(当前位置) {
    //在窗口位置改变的时候触发.
}
function 全局触发快捷键(快捷键) {
    console.log(快捷键);
}
function 开始下载文件(文件名称, 下载地址, 文件ID) {
    console.log(文件名称, 下载地址);
    //当项目中有下载文件的操作时,首先触发本事件
}
async function 文件下载进度(下载链接, 已下载大小, 总共大小, 文件名称, 状态, 文件ID) {
    //文件的下载进度
    let 进度 = parseInt(100 * (已下载大小 / 总共大小));
    console.log(下载链接, 进度, 文件名称, 状态, 文件ID);
}
function 文件下载完毕(下载链接, 文件名称, 文件ID) {
    console.log(下载链接, 文件名称, "下载完毕");
    //当文件下载完毕时触发本事件
}
function 文件下载失败(下载链接, 文件名称, 文件ID) {
    console.log(下载链接, 文件名称, "下载失败");
    //当文件下载失败时触发本事件
}